Skip to main content
GET
List sync history

Authorizations

Authorization
string
header
required

JWT authentication token

Query Parameters

page
string
default:1
rowsPerPage
string
default:10
event_type
string
direction
enum<string>
Available options:
APP_TO_HUBSPOT,
HUBSPOT_TO_APP
status
enum<string>
Available options:
SUCCESS,
FAILED,
PARTIAL
object_type
enum<string>
Available options:
CONTACT,
DEAL,
LEAD
from
string<date-time>
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
to
string<date-time>
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$

Response

History returned successfully

items
object[]
required
pagination
object
required